%%% Last updated Jan 5, 2012
%%% Kim Cheulsoon, cs.kim@kaist.ac.kr
%%% All rights reserved

%%% Projection onto the sphere


function [uu] = func_project_onto_C1(Ps, Ls , u)

uu = u ;

    t = u(1:Ls) ;
    t_norm_sqr =  sum(abs(t).^2) ; % vector L2 norm
    
    if  t_norm_sqr > Ps % project if necessary
        uu(1:Ls) = t/sqrt(t_norm_sqr) * sqrt(Ps) ;
    end





